package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 开课课程考试总览 - 图表查询接口
 * @Author: CaoZixuan
 * @Date: 2021-06-19
 */
public class TeachCourseSurveyResult {
    @ApiModelProperty(value = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "满分")
    private BigDecimal fullScore;

    @ApiModelProperty(value = "全校应届实考")
    private int schCurrentRealityCount;

    @ApiModelProperty(value = "本院应届实考")
    private int colCurrentRealityCount;

    @ApiModelProperty(value = "本院应届缺考")
    private int colCurrentAbsentCount;

    @ApiModelProperty(value = "赋分系数")
    private BigDecimal coefficient;

    @ApiModelProperty(value = "开课学院名称")
    private String teachCollegeName;

    @ApiModelProperty(value = "考察学院集合")
    private String inspectCollegeNames;

}
